Bug 83511 - unmoung hangs frequently..
unmoung hangs frequently..
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-04 21:09 EST by Edward Rudd
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 2003-02-04 21:09:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20021203

Description of problem:
when unmounting a drive (manually or via automount).
it will sometimes HANG.. where the unmount process will eat all cpu.. and never
quit..
If I run top as root and renice to -5 it will quit cleanly shortly after..


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1) mount jaz disk on scsi controller.
2) copy files/use disk..
3) unmount jaz disk/

Actual Results:  process eats all CPU trying to unmount the drive..


Expected Results:  to unmount the drive..

Additional info:

I've been having this problem for the past month or so.. (not really sure when
it started)..
I'm running RH 7.3 w/ latest erratta..  
The devices I'm having problems unmounting were my scsi drives..
I have an adaptec 2940AU SCSI controller (pci) and a JAZ 1g SCSI and a ZIP 1G
SCSI external to the controller..
haven't really used the zip to know if it happens with it but it happens with
the jaz quit frequently.. the first few disks work fine.. but after that it
occurs EVERY time..
And recently when I upgraded to kernel 2.4.18-19.7.x it unmount "hung" when
trying to unmount the initrd the postin script created..
renicing unmount allowed the rpm install to finish correctly.
things were fine on RH 7.2 and fine when I upgrade to 7.3.. only for like the
past month or so has it been doing this..
Comment 1 Bugzilla owner 2004-09-30 11:40:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.